# Class LibRepositoryBoot

java.lang.Object
org.pentaho.reporting.libraries.base.boot.AbstractBoot
org.pentaho.reporting.libraries.repository.LibRepositoryBoot

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.base.boot.SubSystem`

public class LibRepositoryBoot extends org.pentaho.reporting.libraries.base.boot.AbstractBoot
The LibRepositoryBoot class is used to initialize the library before it is first used. This loads all configurations and initializes all factories.

Without booting, basic services like logging and the global configuration will not be availble.

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTENT_TYPE`
A attribute name representing the content-entities mime-type information (if stored in the repository).
`static final String`
`REPOSITORY_DOMAIN`
A attribute domain name for managing general attributes.
`static final String`
`SIZE_ATTRIBUTE`
A attribute name representing the content-item size.
`static final String`
`VERSION_ATTRIBUTE`
A attribute name representing the content-entity versioning information.
`static final String`
`ZIP_COMMENT_ATTRIBUTE`
A attribute name representing a ZIP entry comment.
`static final String`
`ZIP_COMPRESSION_ATTRIBUTE`
A attribute name representing a ZIP compression level.
`static final String`
`ZIP_CRC32_ATTRIBUTE`
A attribute name representing a ZIP attribute.
`static final String`
`ZIP_DOMAIN`
A attribute domain name for managing ZIP-Attributes.
`static final String`
`ZIP_METHOD_ATTRIBUTE`
A attribute name representing a ZIP compression method.
`static final Integer`
`ZIP_METHOD_DEFLATED`
A attribute name representing a ZIP attribute value.
`static final Integer`
`ZIP_METHOD_STORED`
A attribute name representing a ZIP attribute value.

## Method Summary

Modifier and Type
Method
Description
`static LibRepositoryBoot`
`getInstance()`
Returns the singleton instance of the boot-class.

### Methods inherited from class org.pentaho.reporting.libraries.base.boot.AbstractBoot

`getBootFailureReason, getExtendedConfig, getGlobalConfig, getPackageManager, isBootDone, isBootFailed, isBootInProgress, loadBooter, start`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ZIP_DOMAIN

public static final String ZIP_DOMAIN
A attribute domain name for managing ZIP-Attributes.

See Also:
  - Constant Field Values

### ZIP_METHOD_ATTRIBUTE

public static final String ZIP_METHOD_ATTRIBUTE
A attribute name representing a ZIP compression method.

See Also:
  - Constant Field Values

### ZIP_METHOD_STORED

public static final Integer ZIP_METHOD_STORED
A attribute name representing a ZIP attribute value.

### ZIP_METHOD_DEFLATED

public static final Integer ZIP_METHOD_DEFLATED
A attribute name representing a ZIP attribute value.

### ZIP_COMPRESSION_ATTRIBUTE

public static final String ZIP_COMPRESSION_ATTRIBUTE
A attribute name representing a ZIP compression level.

See Also:
  - Constant Field Values

### ZIP_COMMENT_ATTRIBUTE

public static final String ZIP_COMMENT_ATTRIBUTE
A attribute name representing a ZIP entry comment.

See Also:
  - Constant Field Values

### ZIP_CRC32_ATTRIBUTE

public static final String ZIP_CRC32_ATTRIBUTE
A attribute name representing a ZIP attribute.

See Also:
  - Constant Field Values

### REPOSITORY_DOMAIN

public static final String REPOSITORY_DOMAIN
A attribute domain name for managing general attributes.

See Also:
  - Constant Field Values

### SIZE_ATTRIBUTE

public static final String SIZE_ATTRIBUTE
A attribute name representing the content-item size. This should always return a Number.

See Also:
  - Constant Field Values

### VERSION_ATTRIBUTE

public static final String VERSION_ATTRIBUTE
A attribute name representing the content-entity versioning information. The object used as versioning information is implementation-specific and should only be used to compare equality.

See Also:
  - Constant Field Values

### CONTENT_TYPE

public static final String CONTENT_TYPE
A attribute name representing the content-entities mime-type information (if stored in the repository).

See Also:
  - Constant Field Values

## Method Details

### getInstance

public static LibRepositoryBoot getInstance()
Returns the singleton instance of the boot-class.

Returns:
  the singleton booter.